- [HTTP request](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.messages/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.messages/delete#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.messages/delete#body.request_body)
- [Response body](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.messages/delete#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.messages/delete#body.aspect)
- [Try it!](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.messages/delete#try-it)

Immediately and permanently deletes the specified message. This operation cannot be undone. Prefer `messages.trash` instead.

### HTTP request

`DELETE https://gmail.googleapis.com/gmail/v1/users/{userId}/messages/{id}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `userId` | `string` The user's email address. The special value `me` can be used to indicate the authenticated user. |
| `id` | `string` The ID of the message to delete. |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires the following OAuth scope:

- `https://mail.google.com/`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).